Subject: PowerMac PMU programming

From: Justin Hibbits <[email-masked]>
Date: Sun, 10 Jun 2012 09:29:32 -0400

Hello,

I'm working on various PMU bits for FreeBSD (I know, not related to
Linux), but running into some problems, which the Linux crowd may be
able to help with, as it's already solved for Linux.  I've managed to
get it to sleep for performing the sleep operation and for the CPU speed
switch on MPC7455-based machines, but it goes catatonic, not waking
up.  I've installed the reset vector pointer at 0x0080, which both OS X
and Linux do, and flush the caches, but no luck.  During development of
the Linux driver was this ever encountered?  Any assistance would be
greatly appreciated, I've been banging my head against this off and on
for about 8 months now.

Thanks for any assistance.  I'm not subscribed to the list, so please
keep my address in replies.

Justin Hibbits